LANGUAGE_ASSETS = {
    "python": {
        "requirements.txt",
        "pytest.ini",
        "runConfigurations/FastAPI",
        "runConfigurations/FastAPI/FastAPI.run.xml",
        "src/app",
        "src/app/__init__.py",
        "src/app/api/v1",
        "src/app/api/v1/__init__.py",
        "src/app/api/v1/routers",
        "src/app/api/v1/routers/health.py",
        "src/app/core/config.py",
        "src/app/main.py",
        "src/app/schemas/health.py",
        "src/app/services/health.py",
        "tests",
        "tests/__init__.py",
        "tests/conftest.py",
        "tests/integration/test_health_endpoint.py",
        "tests/unit/api/v1/routers/test_health.py",
        "tests/unit/schemas/test_health_schema.py",
    },
    "go": {
        "go.mod",
        "git.ignore",  # Served as .gitignore in this context
        "cmd/{{ cookiecutter.project_slug }}",
        "cmd/{{ cookiecutter.project_slug }}/main.go",
        "configs",
        "configs/dev.yaml",
        "configs/prod.yaml",
        "internal",
        "internal/config",
        "internal/config/config.go",
        "internal/handler/echo.go",
        "internal/handler/ping.go",
        "internal/server/health.go",
        "internal/server/server.go",
        "pkg/proto/v1",
        "pkg/proto/v1/ping.proto",
        "pkg/proto/v1/service.proto",
        "runConfigurations/go",
        "runConfigurations/go/Golang.run.xml",
        "test",
        "test/integration/echo_integration_test.go",
        "test/integration/health_integration_test.go",
        "test/integration/ping_integration_test.go",
        "test/integration/testutil.go",
        "test/unit/config/config_test.go",
        "test/unit/handler/echo_test.go",
        "test/unit/handler/ping_test.go",
        "test/unit/server/health_test.go",
        "test/unit/server/server_test.go",
        "test/unit/unit_test.go",
    },
    "java": {
        "pom.xml",
        "runConfigurations/SpringBoot",
        "runConfigurations/SpringBoot/Spring_Boot.run.xml",
        "src/main/java",
        "src/main/java/com/example/Application.java",
        "src/main/java/com/example/config/OpenApiConfig.java",
        "src/main/java/com/example/controller/HealthController.java",
        "src/main/java/com/example/dto/HealthResponse.java",
        "src/main/java/com/example/exception/GlobalExceptionHandler.java",
        "src/main/java/com/example/service/HealthService.java",
        "src/main/resources",
        "src/main/resources/application.yml",
        "src/test/java",
        "src/test/java/com/example/controller/HealthControllerTest.java",
        "src/test/java/com/example/service/HealthServiceTest.java",
    }
}

GLOBAL_ASSETS = {
        "Dockerfile",
        "Makefile",
        "README.md",
        "skaffold.yaml",
        "chart",
        "chart/Chart.yaml",
        "chart/templates",
        "chart/templates/_helpers.tpl",
        "chart/templates/deployment.yaml",
        "chart/templates/service.yaml",
        "chart/values.yaml",
        "infra/terraform",
        "infra/terraform/main.tf",
    }
